VismaBouwsoftAPICalls.v1_POST_Earthworks Method
v1_POST_Earthworks() as String

This API call is used to add a(n) Earthwork

General Description

HTTP method API version
POST v1

Don’t forget to put the Authorization field in the header

API Path: /Earthworks
or

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
title 2 tpString 50 No Yes No
documentnr 1 tpLong 0 No Yes No
company_id 1 tpLong 0 No Yes No
date 3 tpDate 0 No Yes No
employee_id 1 tpLong 0 No Yes No
driver 2 tpString 150 No No No
machines_id 1 tpLong 0 No Yes No
machine 2 tpString 50 No No No
technicalreportnr 2 tpString 100 No Yes No
groundtransportnotificationnr 2 tpString 25 No No No
address_id 1 tpLong 0 No No No
name 2 tpString 150 No No No
address 2 tpString 63 No No No
countrycode 2 tpString 2 No No No
zipcode 2 tpString 15 No No No
city 2 tpString 40 No No No
contact_id 1 tpLong 0 No No No
contact_name 2 tpString 50 No No No
originproject_id 1 tpLong 0 No Yes No
originproject_name 2 tpString 100 No No No
originproject_pnr 1 tpLong 0 No No No
originproject_unr 1 tpLong 0 No No No
originproject_yourreference 2 tpString 50 No No No
originaddress 2 tpString 63 No No No
origincountrycode 2 tpString 2 No No No
originzipcode 2 tpString 15 No No No
origincity 2 tpString 40 No No No
originstate 2 tpString 40 No No No
destinationproject_id 1 tpLong 0 No Yes No
destinationproject_name 2 tpString 100 No No No
destinationproject_pnr 1 tpLong 0 No No No
destinationproject_unr 1 tpLong 0 No No No
destinationproject_yourreference 2 tpString 50 No No No
destinationaddress 2 tpString 63 No No No
destinationcountrycode 2 tpString 2 No No No
destinationzipcode 2 tpString 15 No No No
destinationcity 2 tpString 40 No No No
destinationstate 2 tpString 40 No No No

/Earthworks

API Path: /Earthworks/

If everything succeeds the HTTP response status is 201
(201 CREATED)

If you forget to send the Authorization, the response status and code is 401
(401 Unauthorized)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Earthworks

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: blOfWxfVrtzSfGkIjfzRqmUtfDIlfGbIfUOkzIrAbfAGflIjlt

Query Parameters :
ParameterName: columns, ParameterValue: company_id=2,employee_id=301

Success gives statuscode 201 And the following result

{“RecordChanges”: [
  {
    "id": 110,
    "title": "",
    "documentnr": 152,
    "company_id": 2,
    "date": "2026–05–07",
    "employee_id": 301,
    "driver": "Andy Averechtss",
    "machines_id": 0,
    "machine": "",
    "technicalreportnr": "",
    "groundtransportnotificationnr": "",
    "address_id": 0,
    "name": "",
    "address": "",
    "countrycode": "",
    "zipcode": "",
    "city": "",
    "contact_id": 0,
    "contact_name": "",
    "originproject_id": 0,
    "originproject_name": "",
    "originproject_pnr": 0,
    "originproject_unr": 0,
    "originproject_yourreference": "",
    "originaddress": "",
    "origincountrycode": "",
    "originzipcode": "",
    "origincity": "",
    "originstate": "",
    "destinationproject_id": 0,
    "destinationproject_name": "",
    "destinationproject_pnr": 0,
    "destinationproject_unr": 0,
    "destinationproject_yourreference": "",
    "destinationaddress": "",
    "destinationcountrycode": "",
    "destinationzipcode": "",
    "destinationcity": "",
    "destinationstate": ""
  }
]
}